!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sort_include )

   !DEC$ DEFINE __sort_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE dsortq(order,n,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: dsortq
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE dsortq
   END INTERFACE

   INTERFACE
      SUBROUTINE dsortqx(order,n,x,incx,index)
         !DEC$ ATTRIBUTES DEFAULT :: dsortqx
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         REAL(KIND=8) :: x(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: index(*)
      END SUBROUTINE dsortqx
   END INTERFACE

   INTERFACE
      SUBROUTINE isortq(order,n,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: isortq
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE isortq
   END INTERFACE

   INTERFACE
      SUBROUTINE isortqx(order,n,x,incx,index)
         !DEC$ ATTRIBUTES DEFAULT :: isortqx
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         INTEGER(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: index(*)
      END SUBROUTINE isortqx
   END INTERFACE

   INTERFACE
      SUBROUTINE ssortq(order,n,x,incx)
         !DEC$ ATTRIBUTES DEFAULT :: ssortq
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
      END SUBROUTINE ssortq
   END INTERFACE

   INTERFACE
      SUBROUTINE ssortqx(order,n,x,incx,index)
         !DEC$ ATTRIBUTES DEFAULT :: ssortqx
         CHARACTER(LEN=1) :: order
         INTEGER(KIND=4) :: n
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: incx
         INTEGER(KIND=4) :: index(*)
      END SUBROUTINE ssortqx
   END INTERFACE

!DEC$ ENDIF
